/* $Id: crires_extract.h,v 1.24 2012-09-20 12:06:34 yjung Exp $
 *
 * This file is part of the CRIRES Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: yjung $
 * $Date: 2012-09-20 12:06:34 $
 * $Revision: 1.24 $
 * $Name: not supported by cvs2svn $
 */

#ifndef CRIRES_EXTRACT_H
#define CRIRES_EXTRACT_H

/*-----------------------------------------------------------------------------
                                Include
 -----------------------------------------------------------------------------*/

#include "crires_utils.h"

/*-----------------------------------------------------------------------------
                                Define
 -----------------------------------------------------------------------------*/

#define CRIRES_SPEC_POS_TOLERANCE       20
#define CRIRES_SPEC_BOX_SIZE_LIMIT      100

/*-----------------------------------------------------------------------------
                                Functions prototypes
 -----------------------------------------------------------------------------*/

cpl_table * crires_extract_spectrum(const cpl_image *, const cpl_image *, int, 
        int, double, int, double, int, int, int, int, int, double, 
        crires_illum_period, int *, int *, int *, double *, double *, 
        cpl_image **, cpl_image **) ;
cpl_vector * crires_extract_lines(const cpl_image *, int, int, int, int) ;
int crires_extract_qc_fwhm(const cpl_image *, const cpl_image *, double *, 
        double *, double *, double *, double *) ;
cpl_bivector * crires_extract_spatial_fwhm(const cpl_image *) ;
cpl_table * crires_extract_gen_tab(const cpl_vector *, const cpl_vector *, 
        const cpl_vector *, const cpl_vector *, const cpl_vector *, 
        const cpl_vector *, const cpl_vector *) ;
cpl_vector * crires_merge_spectra(const cpl_vector *, const cpl_vector *,
        const cpl_vector *, const cpl_vector *, int) ;
int crires_extract_lines_properties(const cpl_vector *, const cpl_polynomial *,
        int, double *, double *, double *) ;
#endif
