/* $Id: crires_model_io.h,v 1.7 2007-07-25 15:05:13 yjung Exp $
 *
 * This file is part of the CRIRES Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: yjung $
 * $Date: 2007-07-25 15:05:13 $
 * $Revision: 1.7 $
 * $Name: not supported by cvs2svn $
 */

#ifndef CRIRES_MODEL_IO_H
#define CRIRES_MODEL_IO_H

/*-----------------------------------------------------------------------------
   								Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>

#include "crires_model_kernel.h"

/*-----------------------------------------------------------------------------
                                Define
 -----------------------------------------------------------------------------*/

#define     DEG2RAD     0.017453292519943295

/*-----------------------------------------------------------------------------
   							        Prototypes
 -----------------------------------------------------------------------------*/

int crires_model_io_load_config_best(const char *, struct crires *) ;
int  crires_model_readfits(double * abest, double * amin, double * amax,
        int * aname, const char *, struct crires *, ann_all_par *);
cpl_table * crires_model_io_output_cfg(struct crires *p_crires);
void crires_model_io_output_cfg_txt(struct crires *p_crires);

#endif
