/* $Id: crires_pfits.h,v 1.26 2012-09-20 12:06:34 yjung Exp $
 *
 * This file is part of the CRIRES Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: yjung $
 * $Date: 2012-09-20 12:06:34 $
 * $Revision: 1.26 $
 * $Name: not supported by cvs2svn $
 */

#ifndef CRIRES_PFITS_H
#define CRIRES_PFITS_H

/*-----------------------------------------------------------------------------
   								Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>

/*-----------------------------------------------------------------------------
   								Functions prototypes
 -----------------------------------------------------------------------------*/

double crires_pfits_get_bafflepos(const cpl_propertylist *) ;
double crires_pfits_get_slit2_pos(const cpl_propertylist *) ;
double crires_pfits_get_temp_prism(const cpl_propertylist *) ;
double crires_pfits_get_drot_angle(const cpl_propertylist *) ;
double crires_pfits_get_ra(const cpl_propertylist *) ;
double crires_pfits_get_dec(const cpl_propertylist *) ;
const char * crires_pfits_get_arcfile(const cpl_propertylist *) ;
const char * crires_pfits_get_pipefile(const cpl_propertylist *) ;
double crires_pfits_get_refwlen(const cpl_propertylist *) ;
double crires_pfits_get_wlen_min(const cpl_propertylist *) ;
double crires_pfits_get_wlen_max(const cpl_propertylist *) ;
double crires_pfits_get_wlens(const cpl_propertylist *) ;
double crires_pfits_get_wlens1(const cpl_propertylist *) ;
double crires_pfits_get_wlens2(const cpl_propertylist *) ;
double crires_pfits_get_wlens3(const cpl_propertylist *) ;
double crires_pfits_get_wlens4(const cpl_propertylist *) ;
double crires_pfits_get_wlene(const cpl_propertylist *) ;
double crires_pfits_get_wlene1(const cpl_propertylist *) ;
double crires_pfits_get_wlene2(const cpl_propertylist *) ;
double crires_pfits_get_wlene3(const cpl_propertylist *) ;
double crires_pfits_get_wlene4(const cpl_propertylist *) ;
const char * crires_pfits_get_procatg(const cpl_propertylist *) ;
const char * crires_pfits_get_protype(const cpl_propertylist *) ;
const char * crires_pfits_get_date_obs(const cpl_propertylist *) ;
const char * crires_pfits_get_cfg_ident(const cpl_propertylist *) ;
double crires_pfits_get_mjd_obs(const cpl_propertylist *) ;
double crires_pfits_get_dit(const cpl_propertylist *) ;
double crires_pfits_get_pinhf_pos(const cpl_propertylist *) ;
int crires_pfits_get_datancom(const cpl_propertylist *) ;
int crires_pfits_get_specpos(const cpl_propertylist *) ;
int crires_pfits_get_order(const cpl_propertylist *) ;
int crires_pfits_get_prism_enc(const cpl_propertylist *) ;
int crires_pfits_get_grat_enc(const cpl_propertylist *) ;
int crires_pfits_get_slit2_enc(const cpl_propertylist *) ;
int crires_pfits_get_carrg_enc(const cpl_propertylist *) ;
double crires_pfits_get_cumoffsetx(const cpl_propertylist *) ;
double crires_pfits_get_cumoffsety(const cpl_propertylist *) ;
int crires_pfits_get_nexp(const cpl_propertylist *) ;
int crires_pfits_get_expno(const cpl_propertylist *) ;
int crires_pfits_get_naxis2(const cpl_propertylist *) ;
int crires_pfits_get_ndit(const cpl_propertylist *) ;
int crires_pfits_get_stripe_centery(const cpl_propertylist *) ;
int crires_pfits_get_stripe_offsety(const cpl_propertylist *) ;
int crires_pfits_get_cube_status(const cpl_propertylist *) ;
const char * crires_pfits_get_ncorrs(const cpl_propertylist *) ;


#endif
